<?php

namespace Lc\CaracoleBundle\Factory\Credit;

use App\Entity\Credit\CreditHistory;
use Lc\CaracoleBundle\Factory\CreditHistory\CreditHistoryFactoryInterface;
use Lc\CaracoleBundle\Model\Credit\CreditHistoryInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class CreditHistoryFactory extends AbstractFactory implements CreditHistoryFactoryInterface
{
    public function create(): CreditHistoryInterface
    {
        $creditHistory = new CreditHistory();

        return $creditHistory;
    }

}
