<?php

namespace Lc\CaracoleBundle\Factory\Setting;

use App\Entity\Setting\SectionSetting;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Factory\SectionFactoryTrait;
use Lc\SovBundle\Factory\AbstractFactory;

class SectionSettingFactory extends AbstractFactory
{
    use SectionFactoryTrait;

    public function create()
    {
        $sectionSetting = new SectionSetting();

        $sectionSetting->setSection($this->section);

        return $sectionSetting;
    }
}
