<?php

namespace Lc\CaracoleBundle\Factory\User;

use App\Entity\User\GroupUser;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\User\GroupUserInterface;

class GroupUserFactory extends AbstractFactory implements GroupUserFactoryInterface
{
    use MerchantFactoryTrait;

    public function create(): GroupUserInterface
    {
        $groupUser = new GroupUser();

        $groupUser->setMerchant($this->merchant);

        return $groupUser;
    }

}
