<?php

namespace Lc\CaracoleBundle\Repository;

use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;

trait MerchantRepositoryQueryTrait
{
    public function filterByMerchant(MerchantInterface $merchant)
    {
        return $this
            ->andWhere('.merchant = :merchant')
            ->setParameter(':merchant', $merchant);
    }
}
