<?php

namespace Lc\CaracoleBundle\Repository;

use Lc\CaracoleBundle\Model\Section\SectionInterface;

trait SectionRepositoryQueryTrait
{
    public function filterBySection(SectionInterface $section)
    {
        return $this
            ->andWhere('.section = :section')
            ->setParameter(':section', $section);
    }
}
