<?php

namespace Lc\CaracoleBundle\Factory\Order;

use App\Entity\Order\OrderShop;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Factory\SectionFactoryTrait;
use Lc\CaracoleBundle\Model\Order\OrderShopInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class OrderShopFactory extends AbstractFactory implements OrderShopFactoryInterface
{
    use MerchantFactoryTrait;
    use SectionFactoryTrait;

    public function create(): OrderShopInterface
    {
        $orderShop = new OrderShop();

        $orderShop->setMerchant($this->merchant);
        $orderShop->setSection($this->section);

        return $orderShop;
    }

}
