<?php

namespace Lc\CaracoleBundle\Factory\Reduction;

use App\Entity\Reduction\ReductionCredit;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Reduction\ReductionCreditInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ReductionCreditFactory extends AbstractFactory implements ReductionCreditFactoryInterface
{
    use MerchantFactoryTrait;

    public function create(): ReductionCreditInterface
    {
        $reductionCredit = new ReductionCredit();

        $reductionCredit->setMerchant($this->merchant);

        return $reductionCredit;
    }

}
