<?php

namespace Lc\CaracoleBundle\Factory\Setting;

use App\Entity\Setting\MerchantSetting;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\SovBundle\Factory\AbstractFactory;

class MerchantSettingFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create()
    {
        $merchantSetting = new MerchantSetting();

        $merchantSetting->setMerchant($this->merchant);

        return $merchantSetting;
    }
}
