<?php

namespace Lc\CaracoleBundle\Factory\User;

use App\Entity\User\UserMerchant;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\User\UserMerchantInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class UserMerchantFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create(): UserMerchantInterface
    {
        $userMerchant = new UserMerchant();

        $userMerchant->setMerchant($this->merchant);

        return $userMerchant;
    }
}
