<?php

namespace Lc\CaracoleBundle\Repository\Reminder;

use Lc\SovBundle\Repository\Reminder\ReminderStore as SovReminderStore;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;

/**
 * class ReminderStore.
 *
 * @author Simon Vieille <simon@deblan.fr>
 */
class TicketStore extends SovReminderStore
{
    protected MerchantInterface $merchant;

    public function setMerchant(MerchantInterface $merchant)
    {
        $this->merchant = $merchant;
    }

    public function getFoo($query = null)
    {
        $query = $this->query->create();

        if ($this->merchant) {
            $query->filterByMerchant($this->merchant);
        }

        return parent::getFoo($query);
    }
}
